# UpdateChecker (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.utils

## Class UpdateChecker

- java.lang.Object
- - de.epiceric.shopchest.utils.UpdateChecker

    public class UpdateChecker
    extends Object

### Nested Class Summary

Nested Classes
`static class` `UpdateChecker.UpdateCheckerResult`

### Constructor Summary

Constructors
Constructor and Description
`UpdateChecker(ShopChest plugin)`

### Method Summary

All Methods Instance Methods Concrete Methods
`UpdateChecker.UpdateCheckerResult` `check()` Check if an update is needed
`String` `getLink()`
`String` `getVersion()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UpdateChecker

    public UpdateChecker(ShopChest plugin)

### Method Detail

#### check

    public UpdateChecker.UpdateCheckerResult check()

Check if an update is needed

Returns:
  `UpdateChecker.UpdateCheckerResult.TRUE` if an update is available, `UpdateChecker.UpdateCheckerResult.FALSE` if no update is needed or `UpdateChecker.UpdateCheckerResult.ERROR` if an error occurred

#### getVersion

    public String getVersion()

Returns:
  Latest Version or null if no update is available

#### getLink

    public String getLink()

Returns:
  Download Link of the latest version of null if no update is available